Subject: [bug#70131] [PATCH 0/5] Update U-boot.

From: Vagrant Cascadian <[email-masked]>
Date: Thu, 16 May 2024 08:56:27 -0700

On 2024-05-16, Herman Rimm wrote:
> On Wed, May 15, 2024 at 01:26:01PM -0700, Vagrant Cascadian wrote:
>> My summary of the situation so far...
>> 
>> On 2024-05-09, Herman Rimm wrote:
>> > Herman Rimm (5):
>> >   gnu: bootloader: Add nanopi-r4s-rk3399 bootloader.
>> 
>> Looks good, although is it useful without the follow-up patch? If not, I
>> would squash the two in a single commit?
>
> The bootloader with the DDR3 patch works, so it should also work without
> the patch.  I believe the LPDDR4 version is more common because it has
> OpenWRT support while the DDR3 version does not [1].  The LPDDR4 version
> would not be useful to me, but in general it would be more useful.

Got it, thanks!

>> >   gnu: u-boot: Use DDR3 patch for Nano Pi R4S.
>> 
>> Question regarding the upstream status for this patch and including
>> relevent descriptions about upstream status, origin, purporse, etc. in
>> the .patch comments.
>
> The patch is not submitted upstream or already present upstream.  I made
> the patch for the DDR3 (as opposed to LPDDR4) variant of the Nano Pi
> R4S.  I will write this in the patch comments as well.

Great!

> Should there be bootloaders for both Nano Pi R4S variants?

Based on the fact that there are two models with different hardware,
seems like there should be two variants of the package.

Bringing this up upstream might also be a good idea, as they might
either make a second variant upstream, or suggest a clever way to have a
single build that autodetects which variant it is and "does the right
thing" out of the box.

If you do start such a thread, a link to the discussion would be great
to have in the patch comments.

>> >   gnu: u-boot: Update to 2024.04.
>> 
>> Also able to confirm the upstream hashes, although at least two packages
>> to fail to build, u-boot-sandbox and u-boot-rockpro64-rk3399. From the
>> comments on the earlier series, I am guessing you were aware of this,
>> but figured I'd mention which packages.
>
> I will try getting u-boot-rockpro64-rk3399 to build.

Thanks!

live well,
  vagrant